# Set BUILD to the type of the build computer and HOST to the type of
# the host computer in the style used by Autoconf; something like
# ``i386-pc-linux-gnu''. If you are compiling natively, make them both
# blank. If you are using a native compiler to generate code for a
# different CPU submodel, set them both to the same thing and add the
# appropriate flags (like `-march') to CFLAGS. If you are
# cross-compiling, make BUILD blank and set HOST to the type of the host
# computer. Also, if you are cross-compiling, you should configure the
# Linux kernel manually; see INSTALL.
BUILD = 
HOST = 
# CFLAGS += -march=i386

# This variable controls options used throughout the entire system.
# nls: Enable native language support.
# nonfreedocs: Install non-free documentation.
USE = nls

# These values will be used for build dependencies and other programs
# that run on the build computer.
BUILD_CC = gcc
BUILD_CPPFLAGS = 
BUILD_CFLAGS = 
BUILD_LDFLAGS = 

# These are packages that build dependencies will not depend on. They
# must be present on the build computer.
NOBUILDDEPEND = lib/glibc lib/ncurses

# Set values that are specific to different build flavors here. You may
# want to put infodir, mandir and docdir outside of $(DESTDIR) to save
# space. Note that you can also test the value of BUILD_FLAVOR in the
# per-package makefiles.
ifeq ($(BUILD_FLAVOR),bootstrap)
infodir = $(TRASHDIR)/usr/share/info
mandir = $(TRASHDIR)/usr/share/man
docdir = $(TRASHDIR)/usr/share/doc
USE := $(filter-out nls,$(USE))
endif
ifeq ($(BUILD_FLAVOR),mini)
infodir = $(TRASHDIR)/usr/share/info
includedir = $(TRASHDIR)/usr/share/include
mandir = $(TRASHDIR)/usr/share/man
docdir = $(TRASHDIR)/usr/share/doc
sourcedir = $(TRASHDIR)/usr/src
USE := $(filter-out nls,$(USE))
endif
# The ``build'' build flavor is used internally when making build
# dependencies.
ifeq ($(BUILD_FLAVOR),build)
CC = $(BUILD_CC)
CPPFLAGS = $(BUILD_CPPFLAGS)
CFLAGS = $(BUILD_CFLAGS)
LDFLAGS = $(BUILD_LDFLAGS)
rootdir = $(BUILD_PREFIX)
BUILD =
HOST =
endif

# Set to your local GNU mirror.
GNU_MIRROR = ftp://mirrors.kernel.org/gnu/
# This is a partial list; see http://www.gnu.org/order/ftp.html.
# ftp://gatekeeper.dec.com/pub/GNU/
# http://www.ibiblio.org/pub/gnu/

# Set to your preferred SourceForge mirror.
SOURCEFORGE_MIRROR = http://unc.dl.sourceforge.net/sourceforge/
# http://easynews.dl.sourceforge.net/sourceforge/
# http://telia.dl.sourceforge.net/sourceforge/
# http://twtelecom.dl.sourceforge.net/sourceforge/
# http://umn.dl.sourceforge.net/sourceforge/
# http://cesnet.dl.sourceforge.net/sourceforge/
# http://switch.dl.sourceforge.net/sourceforge/
# http://belnet.dl.sourceforge.net/sourceforge/

GAR_EXTRA_LIBS += gusto.lib.mk
